Index: trunk/source/particles/hadrons/CMakeLists.txt
===================================================================
--- trunk/source/particles/hadrons/CMakeLists.txt	(revision 1350)
+++ trunk/source/particles/hadrons/CMakeLists.txt	(revision 1350)
@@ -0,0 +1,17 @@
+#------------------------------------------------------------------------------
+# CMakeLists.txt
+# Module : 
+# Package: Geant4.src.G4particles.
+#
+# Intermediate level CMakeLists.txt - just process subdirectories
+#
+# Generated on : 24/9/2010
+#
+# $Id: CMakeLists.txt,v 1.1 2010/09/29 18:47:48 bmorgan Exp $
+#
+#------------------------------------------------------------------------------
+
+add_subdirectory(barions)
+add_subdirectory(ions)
+add_subdirectory(mesons)
+
Index: trunk/source/particles/hadrons/barions/CMakeLists.txt
===================================================================
--- trunk/source/particles/hadrons/barions/CMakeLists.txt	(revision 1350)
+++ trunk/source/particles/hadrons/barions/CMakeLists.txt	(revision 1350)
@@ -0,0 +1,18 @@
+#------------------------------------------------------------------------------
+# CMakeLists.txt
+# Module : G4baryons
+# Package: Geant4.src.G4particles..G4baryons
+#
+# CMakeLists.txt for building a single granular library.
+#
+# Generated on : 24/9/2010
+#
+# $Id: CMakeLists.txt,v 1.1 2010/09/29 18:47:56 bmorgan Exp $
+#
+#------------------------------------------------------------------------------
+
+if(GEANT4_BUILD_GRANULAR_LIBS)
+    include(Geant4MacroLibraryTargets)
+    GEANT4_GRANULAR_LIBRARY_TARGET(COMPONENT sources.cmake)
+endif()
+
Index: trunk/source/particles/hadrons/barions/sources.cmake
===================================================================
--- trunk/source/particles/hadrons/barions/sources.cmake	(revision 1350)
+++ trunk/source/particles/hadrons/barions/sources.cmake	(revision 1350)
@@ -0,0 +1,112 @@
+#------------------------------------------------------------------------------
+# sources.cmake
+# Module : G4baryons
+# Package: Geant4.src.G4particles..G4baryons
+#
+# Sources description for a library.
+# Lists the sources and headers of the code explicitely.
+# Lists include paths needed.
+# Lists the internal granular and global dependencies of the library.
+# Source specific properties should be added at the end.
+#
+# Generated on : 24/9/2010
+#
+# $Id: sources.cmake,v 1.1 2010/09/29 18:48:04 bmorgan Exp $
+#
+#------------------------------------------------------------------------------
+
+# List external includes needed.
+include_directories(${CLHEP_INCLUDE_DIRS})
+
+# List internal includes needed.
+include_directories(${CMAKE_SOURCE_DIR}/source/global/HEPGeometry/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/global/HEPRandom/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/global/management/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/materials/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/particles/management/include)
+
+#
+# Define the Geant4 Module.
+#
+include(Geant4MacroDefineModule)
+GEANT4_DEFINE_MODULE(NAME G4baryons
+    HEADERS
+        G4AntiLambda.hh
+        G4AntiLambdacPlus.hh
+        G4AntiNeutron.hh
+        G4AntiOmegaMinus.hh
+        G4AntiOmegacZero.hh
+        G4AntiProton.hh
+        G4AntiSigmaMinus.hh
+        G4AntiSigmaPlus.hh
+        G4AntiSigmaZero.hh
+        G4AntiSigmacPlus.hh
+        G4AntiSigmacPlusPlus.hh
+        G4AntiSigmacZero.hh
+        G4AntiXiMinus.hh
+        G4AntiXiZero.hh
+        G4AntiXicPlus.hh
+        G4AntiXicZero.hh
+        G4BaryonConstructor.hh
+        G4Lambda.hh
+        G4LambdacPlus.hh
+        G4Neutron.hh
+        G4OmegaMinus.hh
+        G4OmegacZero.hh
+        G4Proton.hh
+        G4SigmaMinus.hh
+        G4SigmaPlus.hh
+        G4SigmaZero.hh
+        G4SigmacPlus.hh
+        G4SigmacPlusPlus.hh
+        G4SigmacZero.hh
+        G4XiMinus.hh
+        G4XiZero.hh
+        G4XicPlus.hh
+        G4XicZero.hh
+    SOURCES
+        G4AntiLambda.cc
+        G4AntiLambdacPlus.cc
+        G4AntiNeutron.cc
+        G4AntiOmegaMinus.cc
+        G4AntiOmegacZero.cc
+        G4AntiProton.cc
+        G4AntiSigmaMinus.cc
+        G4AntiSigmaPlus.cc
+        G4AntiSigmaZero.cc
+        G4AntiSigmacPlus.cc
+        G4AntiSigmacPlusPlus.cc
+        G4AntiSigmacZero.cc
+        G4AntiXiMinus.cc
+        G4AntiXiZero.cc
+        G4AntiXicPlus.cc
+        G4AntiXicZero.cc
+        G4BaryonConstructor.cc
+        G4Lambda.cc
+        G4LambdacPlus.cc
+        G4Neutron.cc
+        G4OmegaMinus.cc
+        G4OmegacZero.cc
+        G4Proton.cc
+        G4SigmaMinus.cc
+        G4SigmaPlus.cc
+        G4SigmaZero.cc
+        G4SigmacPlus.cc
+        G4SigmacPlusPlus.cc
+        G4SigmacZero.cc
+        G4XiMinus.cc
+        G4XiZero.cc
+        G4XicPlus.cc
+        G4XicZero.cc
+    GRANULAR_DEPENDENCIES
+        G4globman
+        G4materials
+        G4partman
+    GLOBAL_DEPENDENCIES
+        G4global
+        G4materials
+    LINK_LIBRARIES
+)
+
+# List any source specific properties here
+
Index: trunk/source/particles/hadrons/ions/CMakeLists.txt
===================================================================
--- trunk/source/particles/hadrons/ions/CMakeLists.txt	(revision 1350)
+++ trunk/source/particles/hadrons/ions/CMakeLists.txt	(revision 1350)
@@ -0,0 +1,18 @@
+#------------------------------------------------------------------------------
+# CMakeLists.txt
+# Module : G4ions
+# Package: Geant4.src.G4particles..G4ions
+#
+# CMakeLists.txt for building a single granular library.
+#
+# Generated on : 24/9/2010
+#
+# $Id: CMakeLists.txt,v 1.1 2010/09/29 18:48:12 bmorgan Exp $
+#
+#------------------------------------------------------------------------------
+
+if(GEANT4_BUILD_GRANULAR_LIBS)
+    include(Geant4MacroLibraryTargets)
+    GEANT4_GRANULAR_LIBRARY_TARGET(COMPONENT sources.cmake)
+endif()
+
Index: trunk/source/particles/hadrons/ions/include/G4AntiAlpha.hh
===================================================================
--- trunk/source/particles/hadrons/ions/include/G4AntiAlpha.hh	(revision 1350)
+++ trunk/source/particles/hadrons/ions/include/G4AntiAlpha.hh	(revision 1350)
@@ -0,0 +1,65 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: G4AntiAlpha.hh,v 1.1 2010/10/09 10:36:02 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
+//
+// 
+// ------------------------------------------------------------
+//      GEANT 4 class header file
+//
+//      History: first implementation, based on object model of
+//      4-th April 1996, G.Cosmo
+// ****************************************************************
+//  New implementation as a utility class  M.Asai, 26 July 2004
+// ----------------------------------------------------------------
+
+#ifndef G4AntiAlpha_h
+#define G4AntiAlpha_h 1
+
+#include "globals.hh"
+#include "G4ios.hh"
+#include "G4ParticleDefinition.hh"
+#include "G4Ions.hh"
+
+// ######################################################################
+// ###                   ANTI   ALPHA                                 ###
+// ######################################################################
+
+class G4AntiAlpha : public G4Ions
+{
+ private:
+   static G4AntiAlpha* theInstance;
+   G4AntiAlpha(){}
+   ~G4AntiAlpha(){}
+
+ public:
+   static G4AntiAlpha* Definition();
+   static G4AntiAlpha* AntiAlphaDefinition();
+   static G4AntiAlpha* AntiAlpha();
+};
+
+#endif
Index: trunk/source/particles/hadrons/ions/include/G4AntiDeuteron.hh
===================================================================
--- trunk/source/particles/hadrons/ions/include/G4AntiDeuteron.hh	(revision 1350)
+++ trunk/source/particles/hadrons/ions/include/G4AntiDeuteron.hh	(revision 1350)
@@ -0,0 +1,66 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: G4AntiDeuteron.hh,v 1.1 2010/10/09 10:36:02 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
+//
+// 
+// ------------------------------------------------------------
+//      GEANT 4 class header file
+//
+//      History: first implementation, based on object model of
+//      4-th April 1996, G.Cosmo
+// ****************************************************************
+//  New implementation as a utility class  M.Asai, 26 July 2004
+// ----------------------------------------------------------------
+
+#ifndef G4AntiDeuteron_h
+#define G4AntiDeuteron_h 1
+
+#include "globals.hh"
+#include "G4ios.hh"
+#include "G4ParticleDefinition.hh"
+#include "G4Ions.hh"
+
+// ######################################################################
+// ###                          AntiDEUTERON                          ###
+// ######################################################################
+
+class G4AntiDeuteron : public G4Ions
+{
+ private:
+   static G4AntiDeuteron* theInstance;
+   G4AntiDeuteron(){}
+   ~G4AntiDeuteron(){}
+
+ public:
+   static G4AntiDeuteron* Definition();
+   static G4AntiDeuteron* AntiDeuteronDefinition();
+   static G4AntiDeuteron* AntiDeuteron();
+};
+
+#endif
+
Index: trunk/source/particles/hadrons/ions/include/G4AntiHe3.hh
===================================================================
--- trunk/source/particles/hadrons/ions/include/G4AntiHe3.hh	(revision 1350)
+++ trunk/source/particles/hadrons/ions/include/G4AntiHe3.hh	(revision 1350)
@@ -0,0 +1,65 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: G4AntiHe3.hh,v 1.1 2010/10/09 10:36:02 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
+//
+// 
+// ------------------------------------------------------------
+//      GEANT 4 class header file
+//
+//      History: first implementation, based on object model of
+//      24-th April 1998,H.Kurashige
+// ****************************************************************
+//  New implementation as a utility class  M.Asai, 26 July 2004
+// ----------------------------------------------------------------
+
+#ifndef G4AntiHe3_h
+#define G4AntiHe3_h 1
+
+#include "globals.hh"
+#include "G4ios.hh"
+#include "G4ParticleDefinition.hh"
+#include "G4Ions.hh"
+
+// ######################################################################
+// ###                          ANTI  He3                             ###
+// ######################################################################
+
+class G4AntiHe3 : public G4Ions
+{
+ private:
+   static G4AntiHe3* theInstance;
+   G4AntiHe3(){}
+   ~G4AntiHe3(){}
+
+ public:
+   static G4AntiHe3* Definition();
+   static G4AntiHe3* AntiHe3Definition();
+   static G4AntiHe3* AntiHe3();
+};
+
+#endif
Index: trunk/source/particles/hadrons/ions/include/G4AntiTriton.hh
===================================================================
--- trunk/source/particles/hadrons/ions/include/G4AntiTriton.hh	(revision 1350)
+++ trunk/source/particles/hadrons/ions/include/G4AntiTriton.hh	(revision 1350)
@@ -0,0 +1,65 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: G4AntiTriton.hh,v 1.1 2010/10/09 10:36:02 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
+//
+// 
+// ------------------------------------------------------------
+//      GEANT 4 class header file
+//
+//      History: first implementation, based on object model of
+//      4-th April 1996, G.Cosmo
+// ****************************************************************
+//  New implementation as a utility class  M.Asai, 26 July 2004
+// ----------------------------------------------------------------
+
+#ifndef G4AntiTriton_h
+#define G4AntiTriton_h 1
+
+#include "globals.hh"
+#include "G4ios.hh"
+#include "G4ParticleDefinition.hh"
+#include "G4Ions.hh"
+
+// ######################################################################
+// ###                   ANTI   TRITON                                ###
+// ######################################################################
+
+class G4AntiTriton : public G4Ions
+{
+ private:
+   static G4AntiTriton* theInstance;
+   G4AntiTriton(){}
+   ~G4AntiTriton(){}
+
+ public:
+   static G4AntiTriton* Definition();
+   static G4AntiTriton* AntiTritonDefinition();
+   static G4AntiTriton* AntiTriton();
+};
+
+#endif
Index: trunk/source/particles/hadrons/ions/sources.cmake
===================================================================
--- trunk/source/particles/hadrons/ions/sources.cmake	(revision 1350)
+++ trunk/source/particles/hadrons/ions/sources.cmake	(revision 1350)
@@ -0,0 +1,66 @@
+#------------------------------------------------------------------------------
+# sources.cmake
+# Module : G4ions
+# Package: Geant4.src.G4particles..G4ions
+#
+# Sources description for a library.
+# Lists the sources and headers of the code explicitely.
+# Lists include paths needed.
+# Lists the internal granular and global dependencies of the library.
+# Source specific properties should be added at the end.
+#
+# Generated on : 24/9/2010
+#
+# $Id: sources.cmake,v 1.2 2010/10/19 12:44:06 gcosmo Exp $
+#
+#------------------------------------------------------------------------------
+
+# List external includes needed.
+include_directories(${CLHEP_INCLUDE_DIRS})
+
+# List internal includes needed.
+include_directories(${CMAKE_SOURCE_DIR}/source/global/HEPGeometry/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/global/HEPRandom/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/global/management/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/materials/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/particles/management/include)
+
+#
+# Define the Geant4 Module.
+#
+include(Geant4MacroDefineModule)
+GEANT4_DEFINE_MODULE(NAME G4ions
+    HEADERS
+        G4Alpha.hh
+        G4AntiAlpha.hh
+        G4AntiDeuteron.hh
+        G4AntiHe3.hh
+        G4AntiTriton.hh
+        G4Deuteron.hh
+        G4GenericIon.hh
+        G4He3.hh
+        G4IonConstructor.hh
+        G4Triton.hh
+    SOURCES
+        G4Alpha.cc
+        G4AntiAlpha.cc
+        G4AntiDeuteron.cc
+        G4AntiHe3.cc
+        G4AntiTriton.cc
+        G4Deuteron.cc
+        G4GenericIon.cc
+        G4He3.cc
+        G4IonConstructor.cc
+        G4Triton.cc
+    GRANULAR_DEPENDENCIES
+        G4globman
+        G4materials
+        G4partman
+    GLOBAL_DEPENDENCIES
+        G4global
+        G4materials
+    LINK_LIBRARIES
+)
+
+# List any source specific properties here
+
Index: trunk/source/particles/hadrons/ions/src/G4AntiAlpha.cc
===================================================================
--- trunk/source/particles/hadrons/ions/src/G4AntiAlpha.cc	(revision 1350)
+++ trunk/source/particles/hadrons/ions/src/G4AntiAlpha.cc	(revision 1350)
@@ -0,0 +1,94 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: G4AntiAlpha.cc,v 1.2 2010/10/11 03:33:56 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
+//
+// 
+// ----------------------------------------------------------------------
+//      GEANT 4 class implementation file
+//
+//      History: first implementation, based on object model of
+//      4th April 1996, G.Cosmo
+// **********************************************************************
+//  New impelemenataion as an utility class  M.Asai, 26 July 2004
+// ----------------------------------------------------------------------
+
+#include "G4AntiAlpha.hh"
+#include "G4ParticleTable.hh"
+
+// ######################################################################
+// ###                      ANTI ALPHA                                ###
+// ######################################################################
+
+G4AntiAlpha* G4AntiAlpha::theInstance = 0;
+
+G4AntiAlpha* G4AntiAlpha::Definition()
+{
+  if (theInstance !=0) return theInstance;
+  const G4String name = "anti_alpha";
+  // search in particle table]
+  G4ParticleTable* pTable = G4ParticleTable::GetParticleTable();
+  G4Ions* anInstance = reinterpret_cast<G4Ions*>(pTable->FindParticle(name));
+  if (anInstance ==0)
+  {
+  // create particle
+  //
+  //    Arguments for constructor are as follows
+  //               name             mass          width         charge
+  //             2*spin           parity  C-conjugation
+  //          2*Isospin       2*Isospin3       G-parity
+  //               type    lepton number  baryon number   PDG encoding
+  //             stable         lifetime    decay table
+  //             shortlived      subType    anti_encoding
+  //             excitation
+   anInstance = new G4Ions(
+                 name,    3.727379*GeV,       0.0*MeV,  -2.0*eplus,
+                    0,              +1,             0,
+                    0,               0,             0,
+       "anti_nucleus",               0,            -4,  -1000020040,
+                 true,            -1.0,          NULL,
+		 false,       "static",    1000020040,
+                 0.0
+               );
+
+  }
+
+  theInstance = reinterpret_cast<G4AntiAlpha*>(anInstance);
+  return theInstance;
+}
+
+G4AntiAlpha*  G4AntiAlpha::AntiAlphaDefinition()
+{
+  return Definition();
+}
+
+G4AntiAlpha*  G4AntiAlpha::AntiAlpha()
+{
+  return Definition();
+}
+
+
Index: trunk/source/particles/hadrons/ions/src/G4AntiDeuteron.cc
===================================================================
--- trunk/source/particles/hadrons/ions/src/G4AntiDeuteron.cc	(revision 1350)
+++ trunk/source/particles/hadrons/ions/src/G4AntiDeuteron.cc	(revision 1350)
@@ -0,0 +1,97 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: G4AntiDeuteron.cc,v 1.1 2010/10/09 10:36:02 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
+//
+// 
+// ----------------------------------------------------------------------
+//      GEANT 4 class implementation file
+//
+//      History: first implementation, based on object model of
+//      4th April 1996, G.Cosmo
+// **********************************************************************
+//  New impelemenataion as an utility class  M.Asai, 26 July 2004
+// ----------------------------------------------------------------------
+
+#include "G4AntiDeuteron.hh"
+#include "G4ParticleTable.hh"
+
+// ######################################################################
+// ###                    ANTI DEUTERON                               ###
+// ######################################################################
+
+G4AntiDeuteron* G4AntiDeuteron::theInstance = 0;
+
+G4AntiDeuteron* G4AntiDeuteron::Definition()
+{
+  if (theInstance !=0) return theInstance;
+  const G4String name = "anti_deuteron";
+  // search in particle table]
+  G4ParticleTable* pTable = G4ParticleTable::GetParticleTable();
+  G4Ions* anInstance =  reinterpret_cast<G4Ions*>(pTable->FindParticle(name));
+  if (anInstance ==0)
+  {
+  // create particle
+  //
+  //    Arguments for constructor are as follows
+  //               name             mass          width         charge
+  //             2*spin           parity  C-conjugation
+  //          2*Isospin       2*Isospin3       G-parity
+  //               type    lepton number  baryon number   PDG encoding
+  //             stable         lifetime    decay table
+  //             shortlived      subType    anti_encoding
+  //             excitation 
+    anInstance = new G4Ions(
+                 name,   1.875613*GeV,       0.0*MeV,  -1.0*eplus,
+                    2,              +1,             0,
+                    0,               0,             0,
+       "anti_nucleus",               0,            -2, -1000010020,
+                 true,            -1.0,          NULL,
+		false,        "static",    1000010020,
+                  0.0
+              );
+
+    // Magnetic Moment
+    G4double mN = eplus*hbar_Planck/2./(proton_mass_c2 /c_squared);
+    anInstance->SetPDGMagneticMoment( -0.857438230 * mN);
+
+  }
+
+  theInstance = reinterpret_cast<G4AntiDeuteron*>(anInstance);
+  return theInstance;
+}
+
+G4AntiDeuteron*  G4AntiDeuteron::AntiDeuteronDefinition()
+{
+  return Definition();
+}
+
+G4AntiDeuteron*  G4AntiDeuteron::AntiDeuteron()
+{
+  return Definition();
+}
+
Index: trunk/source/particles/hadrons/ions/src/G4AntiHe3.cc
===================================================================
--- trunk/source/particles/hadrons/ions/src/G4AntiHe3.cc	(revision 1350)
+++ trunk/source/particles/hadrons/ions/src/G4AntiHe3.cc	(revision 1350)
@@ -0,0 +1,98 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: G4AntiHe3.cc,v 1.1 2010/10/09 10:36:02 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
+//
+// 
+// ----------------------------------------------------------------------
+//      GEANT 4 class implementation file
+//
+//      History: first implementation, based on object model of
+//      24th April 1998, H.Kurashige
+// **********************************************************************
+//  New impelemenataion as an utility class  M.Asai, 26 July 2004
+// ----------------------------------------------------------------------
+
+#include "G4AntiHe3.hh"
+#include "G4ParticleTable.hh"
+
+// ######################################################################
+// ###                     ANTI  He3                                  ###
+// ######################################################################
+
+G4AntiHe3* G4AntiHe3::theInstance = 0;
+
+G4AntiHe3* G4AntiHe3::Definition()
+{
+  if (theInstance !=0) return theInstance;
+  const G4String name = "anti_He3";
+  // search in particle table]
+  G4ParticleTable* pTable = G4ParticleTable::GetParticleTable();
+  G4Ions* anInstance =  reinterpret_cast<G4Ions*>(pTable->FindParticle(name));
+  if (anInstance ==0) 
+  {
+  // create particle
+  //
+  //    Arguments for constructor are as follows
+  //               name             mass          width         charge
+  //             2*spin           parity  C-conjugation
+  //          2*Isospin       2*Isospin3       G-parity
+  //               type    lepton number  baryon number   PDG encoding
+  //             stable         lifetime    decay table
+  //             shortlived      subType    anti_encoding
+  //             excitation 
+    anInstance = new G4Ions(
+                 name,    2.808391*GeV,       0.0*MeV,  -2.0*eplus,
+                    1,              +1,             0,
+                    0,               0,             0,
+       "anti_nucleus",               0,            -3, -1000020030,
+                 true,            -1.0,          NULL,
+		false,        "static",    1000020030,
+                  0.0
+              );
+ 
+    // Magnetic Moment
+    G4double mN = eplus*hbar_Planck/2./(proton_mass_c2 /c_squared);
+    anInstance->SetPDGMagneticMoment( 2.12762485 * mN);
+
+  }
+
+  theInstance = reinterpret_cast<G4AntiHe3*>(anInstance);
+  return theInstance;
+}
+
+G4AntiHe3*  G4AntiHe3::AntiHe3Definition()
+{
+  return Definition();
+}
+
+G4AntiHe3*  G4AntiHe3::AntiHe3()
+{
+  return Definition();
+}
+
+
Index: trunk/source/particles/hadrons/ions/src/G4AntiTriton.cc
===================================================================
--- trunk/source/particles/hadrons/ions/src/G4AntiTriton.cc	(revision 1350)
+++ trunk/source/particles/hadrons/ions/src/G4AntiTriton.cc	(revision 1350)
@@ -0,0 +1,98 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: G4AntiTriton.cc,v 1.1 2010/10/09 10:36:02 kurasige Exp $
+// GEANT4 tag $Name: particles-V09-03-15 $
+//
+// 
+// ----------------------------------------------------------------------
+//      GEANT 4 class implementation file
+//
+//      History: first implementation, based on object model of
+//      4th April 1996, G.Cosmo
+// **********************************************************************
+//  New impelemenataion as an utility class  M.Asai, 26 July 2004
+// ----------------------------------------------------------------------
+
+#include "G4AntiTriton.hh"
+#include "G4ParticleTable.hh"
+
+// ######################################################################
+// ###                         ANTI  TRITON                           ###
+// ######################################################################
+
+G4AntiTriton* G4AntiTriton::theInstance = 0;
+
+G4AntiTriton* G4AntiTriton::Definition()
+{
+  if (theInstance !=0) return theInstance;
+  const G4String name = "anti_triton";
+  // search in particle table]
+  G4ParticleTable* pTable = G4ParticleTable::GetParticleTable();
+  G4Ions* anInstance =  reinterpret_cast<G4Ions*>(pTable->FindParticle(name));
+  if (anInstance ==0)
+  {
+  // create particle
+  //
+  //    Arguments for constructor are as follows
+  //               name             mass          width         charge
+  //             2*spin           parity  C-conjugation
+  //          2*Isospin       2*Isospin3       G-parity
+  //               type    lepton number  baryon number   PDG encoding
+  //             stable         lifetime    decay table
+  //             shortlived      subType    anti_encoding
+  //             excitation 
+    anInstance = new G4Ions(
+                 name,    2.808921*GeV,       0.0*MeV,  -1.0*eplus,
+                    1,              +1,             0,
+                    0,               0,             0,
+       "anti_nucleus",               0,            -3, -1000010030,
+                 true,            -1.0,          NULL,
+		false,        "static",    1000010030,
+                  0.0
+              );
+ 
+    // Magnetic Moment
+    G4double mN = eplus*hbar_Planck/2./(proton_mass_c2 /c_squared);
+    anInstance->SetPDGMagneticMoment( -2.97896248 * mN);
+
+   }
+
+  theInstance = reinterpret_cast<G4AntiTriton*>(anInstance);
+  return theInstance;
+}
+
+G4AntiTriton*  G4AntiTriton::AntiTritonDefinition()
+{
+  return Definition();
+}
+
+G4AntiTriton*  G4AntiTriton::AntiTriton()
+{
+  return Definition();
+}
+
+
Index: trunk/source/particles/hadrons/mesons/CMakeLists.txt
===================================================================
--- trunk/source/particles/hadrons/mesons/CMakeLists.txt	(revision 1350)
+++ trunk/source/particles/hadrons/mesons/CMakeLists.txt	(revision 1350)
@@ -0,0 +1,18 @@
+#------------------------------------------------------------------------------
+# CMakeLists.txt
+# Module : G4mesons
+# Package: Geant4.src.G4particles..G4mesons
+#
+# CMakeLists.txt for building a single granular library.
+#
+# Generated on : 24/9/2010
+#
+# $Id: CMakeLists.txt,v 1.1 2010/09/29 18:48:28 bmorgan Exp $
+#
+#------------------------------------------------------------------------------
+
+if(GEANT4_BUILD_GRANULAR_LIBS)
+    include(Geant4MacroLibraryTargets)
+    GEANT4_GRANULAR_LIBRARY_TARGET(COMPONENT sources.cmake)
+endif()
+
Index: trunk/source/particles/hadrons/mesons/sources.cmake
===================================================================
--- trunk/source/particles/hadrons/mesons/sources.cmake	(revision 1350)
+++ trunk/source/particles/hadrons/mesons/sources.cmake	(revision 1350)
@@ -0,0 +1,96 @@
+#------------------------------------------------------------------------------
+# sources.cmake
+# Module : G4mesons
+# Package: Geant4.src.G4particles..G4mesons
+#
+# Sources description for a library.
+# Lists the sources and headers of the code explicitely.
+# Lists include paths needed.
+# Lists the internal granular and global dependencies of the library.
+# Source specific properties should be added at the end.
+#
+# Generated on : 24/9/2010
+#
+# $Id: sources.cmake,v 1.1 2010/09/29 18:48:36 bmorgan Exp $
+#
+#------------------------------------------------------------------------------
+
+# List external includes needed.
+include_directories(${CLHEP_INCLUDE_DIRS})
+
+# List internal includes needed.
+include_directories(${CMAKE_SOURCE_DIR}/source/global/HEPGeometry/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/global/HEPRandom/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/global/management/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/materials/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/particles/management/include)
+
+#
+# Define the Geant4 Module.
+#
+include(Geant4MacroDefineModule)
+GEANT4_DEFINE_MODULE(NAME G4mesons
+    HEADERS
+        G4AntiBMesonZero.hh
+        G4AntiBsMesonZero.hh
+        G4AntiDMesonZero.hh
+        G4AntiKaonZero.hh
+        G4BMesonMinus.hh
+        G4BMesonPlus.hh
+        G4BMesonZero.hh
+        G4BsMesonZero.hh
+        G4DMesonMinus.hh
+        G4DMesonPlus.hh
+        G4DMesonZero.hh
+        G4DsMesonMinus.hh
+        G4DsMesonPlus.hh
+        G4Eta.hh
+        G4EtaPrime.hh
+        G4JPsi.hh
+        G4KaonMinus.hh
+        G4KaonPlus.hh
+        G4KaonZero.hh
+        G4KaonZeroLong.hh
+        G4KaonZeroShort.hh
+        G4MesonConstructor.hh
+        G4PionMinus.hh
+        G4PionPlus.hh
+        G4PionZero.hh
+    SOURCES
+        G4AntiBMesonZero.cc
+        G4AntiBsMesonZero.cc
+        G4AntiDMesonZero.cc
+        G4AntiKaonZero.cc
+        G4BMesonMinus.cc
+        G4BMesonPlus.cc
+        G4BMesonZero.cc
+        G4BsMesonZero.cc
+        G4DMesonMinus.cc
+        G4DMesonPlus.cc
+        G4DMesonZero.cc
+        G4DsMesonMinus.cc
+        G4DsMesonPlus.cc
+        G4Eta.cc
+        G4EtaPrime.cc
+        G4JPsi.cc
+        G4KaonMinus.cc
+        G4KaonPlus.cc
+        G4KaonZero.cc
+        G4KaonZeroLong.cc
+        G4KaonZeroShort.cc
+        G4MesonConstructor.cc
+        G4PionMinus.cc
+        G4PionPlus.cc
+        G4PionZero.cc
+    GRANULAR_DEPENDENCIES
+        G4globman
+        G4materials
+        G4partman
+    GLOBAL_DEPENDENCIES
+        G4global
+        G4materials
+    LINK_LIBRARIES
+)
+
+# List any source specific properties here
+
